Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 236332

Summary: National flags are missing again
Product: [Fedora] Fedora Reporter: Doncho Gunchev <dgunchev>
Component: kdebaseAssignee: Ngo Than <than>
Status: CLOSED NOTABUG QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: bugs+fedora
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-04-16 12:39:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Doncho Gunchev 2007-04-13 08:45:29 UTC
Description of problem:
National flags are missing from kdebase in FC6 again.

Version-Release number of selected component (if applicable):
kdebase-3.5.6-0.1.fc6

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Core 6 with KDE, no GNOME
2. try setting up country and language in control center (kcontrol)
3. try using kkbswitch, the native kde keyboard switcher or any other tool

Actual results:
No country flags

Expected results:
Country flags should be available

Additional info:
This is an issue from at least FC3 till FC6, haven't checked devel (Fedora 7)
but I guess...
I have found bug #188121 and bug #164705 searching for 'flag'. They are
duplicates of bug #61946, which I can't access. Please include the flags, this
is very annoying and they take just 400K (3.6M on 63G partition) disk space. The
files are /usr/share/locale/l10n/LANGUAGE_2_LETTER_CODE/flag.png and are present
in the KDE for Redhat project's kdebase for example.

Comment 1 Ngo Than 2007-04-13 14:52:00 UTC
for more infos, please take a look at
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=70235



Comment 2 Doncho Gunchev 2007-04-15 23:09:00 UTC
I can not take a look there ;-) - all I see is "You are not authorized to access
bug #70235.", that's why I opened this bug in the first place (but I guess you
can see it, try as normal user).

I'll reopen it, but feel free to close, I won't complain further. I can fix this
myself (a custom kdebase-flags-1.0.rpm or use the kde-redhat repo), but would
really like to know why...? And what's so secret about a "some icons are
missing" problem? Did I do something wrong?

Comment 3 Ngo Than 2007-04-16 12:39:22 UTC
it's a political issue here. so all flags have been removed.

Comment 4 Juliano F. Ravasi 2007-09-12 04:51:44 UTC
If you live in a country where people are not scared of looking other countries
flags, instead, you respect them, you may this rpm I made useful:

http://repo.juliano.info/fedora/7/i386/kdebase-flags-3.5.7-1.noarch.rpm

Comment 5 Doncho Gunchev 2007-09-19 17:49:06 UTC
Ha-ha, 10x, I came out with the same solution, only my version is 1.0 :-)

Debian has non-us repo, maybe livna?